/*
 * PIAVE - PIAVE Is A Video Editor
 *
 * Copyright (C) 2002 Rolf Dubitzky, rolf@dubitzky.de
 *
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/**
 * \file mediaelements.hh contains implementations of
 * the abstract class PIAVE::MediaElement like AVChunks or Image elements.
 */

#if ! defined( MEDIAELEMENTS_HH )
#define MEDIAELEMENTS_HH

// std++


// PIAVE
#include "storybase.hh"
#include "avstream.hh"


namespace PIAVE {

    /**
     *  AVChunk is piece of a audio/video stream
     *  \todo comment
     */
    class AVChunk : public MediaElement
    {
      public:
        AVChunk( InAVFStream * s = 0 );
        AVChunk( const std::string& name, InAVFStream * s );
        ~AVChunk();

        virtual Frame getFrame( Time t );
        virtual PropertyNode * getProperties( PropertyNode *p  = 0 ) const { return p; }
        virtual int fixMe( int fix_lvl=0 );

        virtual void print( std::ostream & o, int indent );

        const InAVFStream * setAVFStream( InAVFStream * s ) { _stream = s; return _stream; }
        void setAVFStreamOffset( Time o ) { _avfStreamOffset = o; }

      private:
        InAVFStream   * _stream;
        Time            _avfStreamOffset;
    };

//  \todo really??  class AudioChunk {}



};


#endif
