/*
 * PIAVE - PIAVE Is A Video Editor
 *
 * Copyright (C) 2002 Rolf Dubitzky, rolf@dubitzky.de
 *
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/**
 * \file sdloutstream.cc implements sdloutstream.hh
 */

// config
#if defined( HAVE_CONFIG_H )
#    include "config.h"
#endif


// std++
#include <iostream>
using std::cout;
using std::cerr;
using std::endl;
#include <string>
using std::string;


// this header
#include "plugin.hh"

// PIAVE
#include "piave_base.hh"
#include "property.hh"

using namespace PIAVE;

Plugin::Plugin( const std::string & name, PluginType_e t ) : 
  _name( name ), 
  _priority( 0 ),
  _type( t ), 
  _caps( 0 ),
  _enabled( true )
{}


Plugin::~Plugin()
{
    PDELETE( _caps );
}

PropertyNode * 
Plugin::getCapabilities() const 
{ 
    return new PropertyNode( *_caps ); 
}
