/*
 * PIAVE - PIAVE Is A Video Editor
 *
 * Copyright (C) 2002 Rolf Dubitzky, rolf@dubitzky.de
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#if ! defined ( SCENEBUILDER_HH )
#define SCENEBUILDER_HH

// std c

// std c++

// PIAVE

namespace PIAVE {

    class StorySeqNode;
    class PropertyNode;
    class MediaElement;

    class SceneBuilder
    {
        SceneBuilder(){};
      public:
        static StorySeqNode * buildScenelist( const PropertyNode * scenelist );

        static MediaElement * buildMediaNode( const PropertyNode * mediaNode );
        static MediaElement * buildInputNode( const PropertyNode * inputNode );
        static MediaElement * buildPluginNode( const PropertyNode * pluginNode );
        static MediaElement * buildEffectNode( const PropertyNode * effectNode );
        static MediaElement * buildParNode( const PropertyNode * parNode );

    };

}

#endif
