/*
 * PIAVE - PIAVE Is A Video Editor
 *
 * Copyright (C) 2002 Rolf Dubitzky, rolf@dubitzky.de
 *
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/**
 * \file samplerate.hh declares simple samplerate filter
 */

#if ! defined( SAMPLERATE_HH )
#define SAMPLERATE_HH

// PIAVE
#include "libpiave/operatorbase.hh"
#include "libpiave/plugin.hh"

namespace PIAVE {

    class SampleratePlugin : public Plugin
    {
      public:
        SampleratePlugin();
        virtual PluginBase * newElement( const PropertyNode * p = 0 );
    };

    /*
     *    \class samplerate filter serves as example for a plugin
     * 
     *   there are three things to a plugin. the class SamplerateFilterPlugin
     *   manages the whole interface and setup of the actual media element
     *   SamplerateFilter and last you have to call the PLUGIN macro (outside of
     *   the namespace(
     *
     */

    class SamplerateFilter : public UnaryOp
    {
      public:
        SamplerateFilter( const std::string & name ) : UnaryOp( name) {};
        virtual void renderFrame( Frame & f, Time t );
        virtual PropertyNode * getProperties( PropertyNode * p=0) const { return 0; };        
    };


}

#endif
